import { axios } from '@/utils/request'

//  采购退货 列表  分页
export const sparePartsReturnList = (params) => {
  const url = `/sparePartsReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 删除采购退货信息
export const sparePartsReturnDelete = (params) => {
  return axios({
    url: `/sparePartsReturn/delete/${params.sn}`,
    data: params,
    method: 'post'
  })
}

// 再次提交
export const againSubmit = (params) => {
  return axios({
    url: `/sparePartsReturn/againSubmit`,
    data: params,
    method: 'post'
  })
}

// 采购退货详情
export const sparePartsReturnInfo = params => {
  return axios({
    url: `/sparePartsReturn/queryBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}

// 采购退货 新增保存
export const sparePartsReturnSave = (params) => {
  return axios({
    url: `/sparePartsReturn/save`,
    data: params,
    method: 'post'
  })
}

// 采购退货 提交
export const sparePartsReturnSubmit = (params) => {
  return axios({
    url: `/sparePartsReturn/submit`,
    data: params,
    method: 'post'
  })
}

// 采购退货明细分页列表合计
export const queryPageCount = (params) => {
  return axios({
    url: `/sparePartsReturn/detail/queryPageCount`,
    data: params,
    method: 'post'
  })
}

// 采购退货明细分页列表
export const sparePartsReturnQueryPage = (params) => {
  const url = `/sparePartsReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 明细删除
export const sparePartsReturnDetailDelete = (params) => {
  return axios({
    url: `sparePartsReturn/detail/delete/${params.detailSn}`,
    data: params,
    method: 'post'
  })
}

// 明细保存  （明细中添加/编辑产品）
export const sparePartsReturnDetailSave = (params) => {
  return axios({
    url: `/sparePartsReturn/detail/save`,
    data: params,
    method: 'post'
  })
}
